package com.bocloud.cmp.model.hmc.sdk.module;

import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

public class HostEthernetAdapterPortGroup {
    private Metadata metadata;
    private String portGroupID;
    private String currentMultiCoreScaling;
    private String pendingMultiCoreScaling;
    private String supportedMultiCoreScalingValues;
    private LogicalPorts logicalPorts;
    private PhysicalPorts physicalPorts;

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public String getPortGroupID() {
        return portGroupID;
    }

    public void setPortGroupID(String portGroupID) {
        this.portGroupID = portGroupID;
    }

    public String getCurrentMultiCoreScaling() {
        return currentMultiCoreScaling;
    }

    public void setCurrentMultiCoreScaling(String currentMultiCoreScaling) {
        this.currentMultiCoreScaling = currentMultiCoreScaling;
    }

    public String getPendingMultiCoreScaling() {
        return pendingMultiCoreScaling;
    }

    public void setPendingMultiCoreScaling(String pendingMultiCoreScaling) {
        this.pendingMultiCoreScaling = pendingMultiCoreScaling;
    }

    public String getSupportedMultiCoreScalingValues() {
        return supportedMultiCoreScalingValues;
    }

    public void setSupportedMultiCoreScalingValues(String supportedMultiCoreScalingValues) {
        this.supportedMultiCoreScalingValues = supportedMultiCoreScalingValues;
    }

    public LogicalPorts getLogicalPorts() {
        return logicalPorts;
    }

    public void setLogicalPorts(LogicalPorts logicalPorts) {
        this.logicalPorts = logicalPorts;
    }

    public PhysicalPorts getPhysicalPorts() {
        return physicalPorts;
    }

    public void setPhysicalPorts(PhysicalPorts physicalPorts) {
        this.physicalPorts = physicalPorts;
    }
}
